## qt5-gsettings-1.3.0-1.src.tar.gz

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.0)

project("QtGSettings"
    VERSION "1.3.0"
    DESCRIPTION "Qt style API for GSettings"
    LANGUAGES CXX C
)

## Shared macros and functions:
if(NOT LIRI_LOCAL_ECM)
    find_package(LiriCMakeShared "1.0.0" REQUIRED NO_MODULE)
    list(APPEND CMAKE_MODULE_PATH "${LCS_MODULE_PATH}")
endif()

## Set minimum versions required:
set(QT_MIN_VERSION "5.8.0")

## Add some paths to check for CMake modules:
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

## Liri specific setup common for all modules:
include(LiriSetup)

## Find Qt 5:
find_package(Qt5 "${QT_MIN_VERSION}"
    CONFIG REQUIRED
    COMPONENTS
        Core
        Qml
        Quick
        QuickTest
)

## Add subdirectories:
add_subdirectory(src/gsettings)
add_subdirectory(src/imports/gsettings)
if(BUILD_TESTING)
    if(TARGET Qt5GSettings)
        add_subdirectory(tests/auto/gsettings)
    endif()
    if(TARGET qtgsettings)
        add_subdirectory(tests/auto/qmlgsettings)
    endif()
endif()

=== src/gsettings/CMakeLists.txt ===
find_package(GIO REQUIRED)

liri_add_module(Qt5GSettings
    DESCRIPTION
        "Qt style API for GSettings"
    MODULE_NAME
        Qt5GSettings
    VERSIONED_MODULE_NAME
        Qt5GSettings
    SOURCES
        logging_p.h
        qgsettings.cpp
        qgsettings.h
        qgvariantutils_p.cpp
        qgvariantutils_p.h
        utils_p.cpp
        utils_p.h
    FORWARDING_HEADERS
        QGSettings
    PRIVATE_HEADERS
        qgvariantutils_p.h
    DEFINES
        QT_NO_CAST_FROM_ASCII
        QT_NO_FOREACH
        QT_NO_KEYWORDS
    PUBLIC_LIBRARIES
        Qt5::Core
    LIBRARIES
        PkgConfig::GIO
    PKGCONFIG_DEPENDENCIES
        Qt5Core
        gio-2.0
)

=== src/imports/gsettings/CMakeLists.txt ===
liri_add_qml_plugin(qtgsettings
    MODULE_PATH
        "QtGSettings"
    VERSION
        "1.0"
    SOURCES
        plugin.cpp
        qmlgsettings.cpp
        qmlgsettings.h
        qmlgsettingsschema.cpp
        qmlgsettingsschema.h
    QML_FILES
        qmldir
    DEFINES
        QT_NO_CAST_FROM_ASCII
        QT_NO_FOREACH
    PUBLIC_LIBRARIES
        Liri::Qt5GSettings
)

=== tests/auto/gsettings/CMakeLists.txt ===
liri_add_test(tst_gsettings
    SOURCES
        tst_qgsettings.cpp
    DEFINES
        TEST_DATADIR="${CMAKE_CURRENT_SOURCE_DIR}/../data"
    LIBRARIES
        Liri::Qt5GSettings
)

=== tests/auto/qmlgsettings/CMakeLists.txt ===
liri_add_test(tst_qmlgsettings
    SOURCES
        tst_qmlgsettings.cpp
        tst_qmlgsettings.qml
    DEFINES
        TEST_DATADIR="${CMAKE_CURRENT_SOURCE_DIR}/../data"
    LIBRARIES
        Qt5::QuickTest
        Liri::Qt5GSettings
)

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>
# Contributor: Pier Luigi Fiorini <pierluigi.fiorini@gmail.com>

pkgname=qt5-gsettings
pkgver=1.3.0
pkgrel=1
pkgdesc="Qt-style wrapper for GSettings"
arch=('x86_64')
url="https://github.com/lirios/qtgsettings"
license=('LGPL3')
depends=('qt5-declarative' 'glib2')
makedepends=('liri-cmake-shared')
groups=('liri')
source=("https://github.com/lirios/qtgsettings/releases/download/v${pkgver}/qtgsettings-${pkgver}.tar.xz"
        qtgsettings-qt-5.14.patch::https://github.com/lirios/qtgsettings/commit/153d3a85cc797f225ab466ae7d4e9c48b8bbf1bd.patch)
sha512sums=('943c6f58ca6876f1ea0991a6159dfea862c9f3292f7c63d86c8528bb2831c2df94931e5290016abc0fdf17f4805b5b893bb55d8a679e1ca68703b5d997a072e9'
            '1331ef298efaa7d8269f4ad976aff1886603b1a634175b78de546605f312ccf8cce9f2eba0b111d2f4fb520ede01423f4a20ea44a51c3159017409b93dc629c9')

prepare() {
  patch -d qtgsettings-$pkgver -p1 -i ../qtgsettings-qt-5.14.patch
  mkdir -p build
}

build() {
  cd build
  cmake -DCMAKE_INSTALL_PREFIX=/usr ../qtgsettings-$pkgver
}

package() {
  cd build
  make DESTDIR="$pkgdir" install
}
